import base64
import mimetypes
import os

def echo(*args):
    global hvmpy_response
    for arg in args:
        hvmpy_response += str(arg)

def GetIpUser():
    global hvmpy_Ipuser_get
    return hvmpy_Ipuser_get

def GetUrl():
    global hvmpy_url
    return hvmpy_url

def SetMIME(mime_type):
    global hvmpy_MIME
    hvmpy_MIME = str(mime_type)

def SetServerCode(server_code):
    global hvmpy_ServerCode
    hvmpy_ServerCode = str(server_code)

def SetUrl(Url):
    global hvmpy_url
    hvmpy_url = Url
        
        

def SetCookie(name, value, max_age=100, path="/"):
    global hvmpy_headers
    if 'hvmpy_headers' not in globals():
        hvmpy_headers = ""
    hvmpy_headers += f"Set-Cookie: {name}={value}; path={path}; max-age={max_age}; \n\r"

def parse_hvmpy_post_get():
    global hvmpy_post_get
    
    if hvmpy_post_get is None or hvmpy_post_get == "":
        return {}
    post_data = {}
    pairs = hvmpy_post_get.split('&')

    for pair in pairs:
        key, value = pair.split('=')
        post_data[key] = value

    return post_data
    

def parse_hvmpy_files_post_get():
    global hvmpy_files_post_get
    if hvmpy_files_post_get is None or hvmpy_files_post_get == "":
        return {}
    
    files_data = {}
    pairs = hvmpy_files_post_get.split('&')
    for pair in pairs:
        parts = pair.split('=')
        if len(parts) >= 3:
            form_name, filename, base64_data = parts[0], parts[1], '='.join(parts[2:])
         
            file_content = base64.b64decode(base64_data)
            file_type = mimetypes.guess_type(filename)[0] or 'application/octet-stream'
            
  
            file_info = {
                'name': filename,
                'type': file_type,
                'error': 0,
                'size': len(file_content),
                'bit': file_content  #  'content'  'bit'
            }


            files_data[form_name] = file_info

    return files_data
# Usage
H_Post = parse_hvmpy_post_get()
H_Files = parse_hvmpy_files_post_get()